RagTime5Text Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Text Class Reference

the main class to read the text part of RagTime 56 file More...

`#include <RagTime5Text.hxx>`

## Public Member Functions
| RagTime5Text (RagTime5Parser &parser)
| constructor More...
virtual | ~RagTime5Text ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
shared_ptr< RagTime5ClusterManager::Cluster > | readTextCluster (RagTime5Zone &zone, int zoneType)
| try to read a text cluster More...
bool | readPLC (RagTime5TextInternal::ClusterText &cluster, int zoneId)
| try to read a list of PLC More...
bool | readPLCToCharStyle (RagTime5TextInternal::ClusterText &cluster)
| try to read a plc id to char style correspondance More...
bool | readLinkZones (RagTime5ClusterManager::Cluster &cluster, RagTime5ClusterManager::Link const &link)
| try to read a list of link/list definition More...
bool | readFieldZones (RagTime5ClusterManager::Cluster &cluster, RagTime5ClusterManager::Link const &link, bool isDefinition)
| try to read a list of field definition More...
bool | readFieldDefinition (RagTime5Zone &zone, long endPos, int n)
| try to read a field definition More...
bool | readFieldPosition (RagTime5Zone &zone, long endPos, int n)
| try to read a field position More...
bool | readTextSeparators (RagTime5Zone &zone, std::vector< int > &pos)
| try to read the text separators More...
bool | send (int zoneId, MWAWListenerPtr listener, int partId=0, int block2Id=0)
| try to send the cluster zone More...
bool | send (RagTime5TextInternal::ClusterText &cluster, MWAWListenerPtr listener, int partId=0, int block2Id=0)
| try to send the cluster zone More...

## Protected Attributes
RagTime5Parser & | m_mainParser
| the parser More...
shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager More...
shared_ptr< RagTime5StyleManager > | m_styleManager
| the style manager More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< RagTime5TextInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5Text (RagTime5Text const &orig)
RagTime5Text & | operator= (RagTime5Text const &orig)

## Friends
class | RagTime5TextInternal::SubDocument
class | RagTime5Parser

## Detailed Description

the main class to read the text part of RagTime 56 file

## Constructor & Destructor Documentation

## ◆ RagTime5Text() [1/2]

RagTime5Text::RagTime5Text | ( | RagTime5Parser & | parser | ) |
| explicit

constructor

## ◆ ~RagTime5Text()

RagTime5Text::~RagTime5Text | ( |  | ) |
| virtual

destructor

## ◆ RagTime5Text() [2/2]

RagTime5Text::RagTime5Text | ( | RagTime5Text const & | orig | ) |
| private

## Member Function Documentation

## ◆ flushExtra()

void RagTime5Text::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ numPages()

int RagTime5Text::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

RagTime5Text& RagTime5Text::operator= | ( | RagTime5Text const & | orig | ) |
| private

## ◆ readFieldDefinition()

bool RagTime5Text::readFieldDefinition | ( | RagTime5Zone & | zone,
|  | long | endPos,
|  | int | n
| ) |  |
| protected

try to read a field definition

Referenced by readFieldZones().

## ◆ readFieldPosition()

bool RagTime5Text::readFieldPosition | ( | RagTime5Zone & | zone,
|  | long | endPos,
|  | int | n
| ) |  |
| protected

try to read a field position

Referenced by readFieldZones().

## ◆ readFieldZones()

bool RagTime5Text::readFieldZones | ( | RagTime5ClusterManager::Cluster & | cluster,
|  | RagTime5ClusterManager::Link const & | link,
|  | bool | isDefinition
| ) |  |
| protected

try to read a list of field definition

## ◆ readLinkZones()

bool RagTime5Text::readLinkZones | ( | RagTime5ClusterManager::Cluster & | cluster,
|  | RagTime5ClusterManager::Link const & | link
| ) |  |
| protected

try to read a list of link/list definition

Referenced by readTextCluster().

## ◆ readPLC()

bool RagTime5Text::readPLC | ( | RagTime5TextInternal::ClusterText & | cluster,
|  | int | zoneId
| ) |  |
| protected

try to read a list of PLC

Referenced by readTextCluster().

## ◆ readPLCToCharStyle()

bool RagTime5Text::readPLCToCharStyle | ( | RagTime5TextInternal::ClusterText & | cluster | ) |
| protected

try to read a plc id to char style correspondance

Referenced by readTextCluster().

## ◆ readTextCluster()

shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Text::readTextCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a text cluster

## ◆ readTextSeparators()

bool RagTime5Text::readTextSeparators | ( | RagTime5Zone & | zone,
|  | std::vector< int > & | pos
| ) |  |
| protected

try to read the text separators

Referenced by send().

## ◆ send() [1/2]

bool RagTime5Text::send | ( | int | zoneId,
|  | MWAWListenerPtr | listener,
|  | int | partId = `0`,
|  | int | block2Id = `0`
| ) |  |
| protected

try to send the cluster zone

Referenced by flushExtra().

## ◆ send() [2/2]

bool RagTime5Text::send | ( | RagTime5TextInternal::ClusterText & | cluster,
|  | MWAWListenerPtr | listener,
|  | int | partId = `0`,
|  | int | block2Id = `0`
| ) |  |
| protected

try to send the cluster zone

## ◆ version()

int RagTime5Text::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## ◆ RagTime5Parser

friend class RagTime5Parser
| friend

## ◆ RagTime5TextInternal::SubDocument

friend class RagTime5TextInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_mainParser

RagTime5Parser& RagTime5Text::m_mainParser
| protected

the parser

Referenced by readFieldZones(), readLinkZones(), readPLC(), readPLCToCharStyle(), readTextCluster(), and send().

## ◆ m_parserState

MWAWParserStatePtr RagTime5Text::m_parserState
| protected

the parser state

Referenced by send(), and version().

## ◆ m_state

shared_ptr<RagTime5TextInternal::State> RagTime5Text::m_state
| protected

the state

Referenced by flushExtra(), readTextCluster(), and send().

## ◆ m_structManager

shared_ptr<RagTime5StructManager> RagTime5Text::m_structManager
| protected

the structure manager

Referenced by readFieldDefinition(), readFieldPosition(), and readLinkZones().

## ◆ m_styleManager

shared_ptr<RagTime5StyleManager> RagTime5Text::m_styleManager
| protected

the style manager

Referenced by send().

The documentation for this class was generated from the following files:

- RagTime5Text.hxx
- RagTime5Text.cxx